ch.qos.logback.access.html

## Class HTMLLayout

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.LayoutBase<E>
    - - ch.qos.logback.core.html.HTMLLayoutBase<IAccessEvent>
      - - ch.qos.logback.access.html.HTMLLayout

All Implemented Interfaces:
  Layout<IAccessEvent>, ContextAware, LifeCycle

    public class HTMLLayout
    extends HTMLLayoutBase<IAccessEvent>

HTMLLayout outputs events in an HTML table.

The content of the table columns are specified using a conversion pattern. See `PatternLayout` for documentation on the available patterns.

For more information about this layout, please refer to the online manual at http://logback.qos.ch/manual/layouts.html#AccessHTMLLayout

Author:
  Ceki Gülcü, Sébastien Pennec

### Field Summary

### Fields inherited from class ch.qos.logback.core.html.HTMLLayoutBase

`counter, cssBuilder, head, pattern, title`

### Fields inherited from class ch.qos.logback.core.LayoutBase

`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`HTMLLayout()` Constructs a PatternLayout using the DEFAULT_LAYOUT_PATTERN.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `doLayout(IAccessEvent event)` Transform an event (of type Object) and return it as a String after appropriate formatting.
`protected Map<String,String>` `getDefaultConverterMap()`

### Methods inherited from class ch.qos.logback.core.html.HTMLLayoutBase

`computeConverterName, getContentType, getCssBuilder, getEffectiveConverterMap, getFileFooter, getFileHeader, getPattern, getPresentationFooter, getPresentationHeader, getTitle, setCssBuilder, setPattern, setTitle, start, startNewTableIfLimitReached`

### Methods inherited from class ch.qos.logback.core.LayoutBase

`getContext, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

### Constructor Detail

#### HTMLLayout

    public HTMLLayout()

Constructs a PatternLayout using the DEFAULT_LAYOUT_PATTERN.

### Method Detail

#### getDefaultConverterMap

    protected Map<String,String> getDefaultConverterMap()

Specified by:
  `getDefaultConverterMap` in class `HTMLLayoutBase<IAccessEvent>`

#### doLayout

    public String doLayout(IAccessEvent event)

Description copied from interface: `Layout`
Transform an event (of type Object) and return it as a String after appropriate formatting.

Taking in an object and returning a String is the least sophisticated way of formatting events. However, it is remarkably CPU-effective.

Parameters:
  `event` - The event to format
Returns:
  the event formatted as a String